ANNOUNCE: gnomemm 1.3.16

*** gnomemm

The libgnome*mm libraries wrap the GNOME2 libraries for C++, for use
with gtkmm2. They are collectively known as gnomemm. You will need the 
latest gtkmm2 release.

libgnomeuimm wraps libgnomeui for C++.
libgnomecanvasmm wraps libgnomecanvas for C++.
libglademm wraps libglade for C++
gconfmm wraps GConf for C++.
libbonobomm wraps libbonobo for C++.
libbonobouimm wraps libbonoboui for C++.
libgnomemm wraps libgnome for C++.

We have also provided gnomemm as one umbrella package, gnomemm-all, for your 
convenience, and it might even work. Alternatively you could use jhbuild's 
meta-gnome-C++, or garnome, or debian's apt-get.

*** Changes:

libgnomeuimm 1.3.16:

* Fixed XPM UI items to work with included .xpm files
  (Gergo Erdi)
* Entry::gtk_entry() is now get_gtk_entry() and returns a
  Gtk::Entry* instead of a Gtk::Widget*. (Gergo Erdi).

libbonobomm 1.3.5:
libbonobouimm 1.3.5:

* Regenerated for latest orbitcpp.

*** Download

You will need gtkmm 2, available from the same place.
You will also need the lastest orbitcpp 1.3.x:

*** Installation:

The gnomemm libraries should be built and installed in this order:
libgnomemm, gconfmm, libgnomecanvasmm, libglademm, libbonobomm, libbonbouimm, libgnomeuimm.

Murray Cumming
murrayc usa net

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]